Package org.eclipse.mat.parser.index

## Class IndexManager

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexManager

    public class IndexManager
    extends Object

Handles the indexes into the snapshot.

### Nested Class Summary

Nested Classes
`static class` `IndexManager.Index` The different index types.

### Field Summary

Fields
`IIndexReader.IOne2SizeIndex` `a2s`
`IIndexReader.IOne2OneIndex` `domIn`
`IIndexReader.IOne2ManyIndex` `domOut`
`RetainedSizeCache` `i2sv2`
`IIndexReader.IOne2LongIndex` `idx`
`IIndexReader.IOne2ManyObjectsIndex` `inbound`
`IIndexReader.IOne2OneIndex` `o2c`
`IIndexReader.IOne2LongIndex` `o2ret`
`IIndexReader.IOne2ManyIndex` `outbound`

### Constructor Summary

Constructors
`IndexManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IIndexReader.IOne2SizeIndex` `a2size()`
`IIndexReader.IOne2ManyObjectsIndex` `c2objects()`
`void` `close()`
`void` `delete()`
`IIndexReader.IOne2ManyIndex` `dominated()`
`IIndexReader.IOne2OneIndex` `dominator()`
`IIndexReader` `getReader​(IndexManager.Index index)`
`IIndexReader.IOne2ManyIndex` `inbound()`
`void` `init​(String prefix)`
`IIndexReader.IOne2LongIndex` `o2address()`
`IIndexReader.IOne2OneIndex` `o2class()`
`IIndexReader.IOne2LongIndex` `o2retained()`
`IIndexReader.IOne2ManyIndex` `outbound()`
`void` `setReader​(IndexManager.Index index, IIndexReader reader)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### inbound

    public IIndexReader.IOne2ManyObjectsIndex inbound

#### outbound

    public IIndexReader.IOne2ManyIndex outbound

#### o2c

    public IIndexReader.IOne2OneIndex o2c

#### idx

    public IIndexReader.IOne2LongIndex idx

#### a2s

    public IIndexReader.IOne2SizeIndex a2s

#### domOut

    public IIndexReader.IOne2ManyIndex domOut

#### o2ret

    public IIndexReader.IOne2LongIndex o2ret

#### domIn

    public IIndexReader.IOne2OneIndex domIn

#### i2sv2

    public RetainedSizeCache i2sv2

No Reference:
  This field is not intended to be referenced by clients.

### Constructor Detail

#### IndexManager

    public IndexManager()

### Method Detail

#### setReader

    public void setReader​(IndexManager.Index index,
                          IIndexReader reader)

#### getReader

    public IIndexReader getReader​(IndexManager.Index index)

#### init

    public void init​(String prefix)
              throws IOException

Throws:
  `IOException`

#### inbound

    public IIndexReader.IOne2ManyIndex inbound()

#### outbound

    public IIndexReader.IOne2ManyIndex outbound()

#### o2class

    public IIndexReader.IOne2OneIndex o2class()

#### c2objects

    public IIndexReader.IOne2ManyObjectsIndex c2objects()

#### o2address

    public IIndexReader.IOne2LongIndex o2address()

#### a2size

    public IIndexReader.IOne2SizeIndex a2size()

Since:
  1.0

#### dominated

    public IIndexReader.IOne2ManyIndex dominated()

#### o2retained

    public IIndexReader.IOne2LongIndex o2retained()

#### dominator

    public IIndexReader.IOne2OneIndex dominator()

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### delete

    public void delete()
                throws IOException

Throws:
  `IOException`